Package Details: deskcon-desktop-git 20151019.r97.78acbe8-1

Git Clone URL: https://aur.archlinux.org/deskcon-desktop-git.git (read-only)
Package Base: deskcon-desktop-git
Description: Integrates your Smartphone in your Desktop
Upstream URL: https://github.com/MK-42/deskcon-desktop
Licenses: GPL3
Submitter: prurigro
Maintainer: prurigro
Last Packager: prurigro
Votes: 18
Popularity: 0.018618
First Submitted: 2014-06-12 04:44
Last Updated: 2015-10-20 01:28

Latest Comments

auipga commented on 2017-03-07 12:24

please update -> https://github.com/fbarriga/deskcon-desktop

prurigro commented on 2015-02-21 00:17

@ilfugiuliopascal: I needed to revert what appears to be a small typo to get things running, but this fork seems to be a general improvement aside from that, and I just pushed an update to switch the package over. Thanks again for letting me know!

prurigro commented on 2015-02-20 23:04

@ilfugiuliopascal: I'm sorry to hear that :( Thanks for letting me know; I'll update this package to use the new repo right after a quick test to make sure everything works.

ilfugiuliopascal commented on 2015-02-20 18:25

I suggest switching to the derivator fork: https://github.com/derivator/deskcon-desktop.

The previous lead developer was found dead in his car according to this topic: https://github.com/screenfreeze/deskcon-desktop/issues/23

prurigro commented on 2014-10-24 15:53

Wow, there were a bunch of missing deps-- they should all be taken care of now though :)

prurigro commented on 2014-10-24 02:02

@mst: Thanks! I guess that worked on my box because I had it installed when I ran it :) All fixed now

@babel: Yup, thank a bunch- it seems like the list of deps on the site is a bit smaller than the actual requirements haha, hopefully there aren't any more! (though I'm running a test in an empty chroot that I'll check on soon to make sure)

babel commented on 2014-10-23 21:34

Hello, I installed deskcon and I'm using the gnome extension shell, but I'm getting this error:

File "./deskcon-server", line 21, in <module>
import mediacontrol
File "/usr/share/deskcon-server/mediacontrol.py", line 1, in <module>
import dbus
ImportError: No module named dbus

I figured out it was due to the lack of this package: python2-dbus. Should it be added to dependencies? I think it should as long as deskcon uses python 2.

Anonymous comment on 2014-10-23 09:00

It must be
sed '$d' bin/deskcon-server > "$pkgdir"/usr/bin/deskcon-setupdevice
instead of
sed '$d' /usr/bin/deskcon-server > "$pkgdir"/usr/bin/deskcon-setupdevice

prurigro commented on 2014-10-22 12:35

@onse: Thanks for the tip, I've added the dep and got it updated to work on gnome 3.14, and configured the $PATH scripts a bit better than they were before.

Cheers!

onse commented on 2014-10-20 19:37

python2-gobject is another dependency or else you will get an error:
File "/usr/share/deskcon-desktop/sms.py", line 9, in <module>
from gi.repository import Gtk, GObject
ImportError: No module named gi.repository

All comments